{ G_I_TPL.FRM }

{ *************************************************************************** }
{ *                                                                         * }
{ *                TURBO SCREEN INPUT PRE-PROCESSOR TOOLKIT                 * }
{ *                                                                         * }
{ *                   GENERAL INPUT SCREEN TEMPLATE FORM                    * }
{ *                                                                         * }
{ *                             Version  1.07                               * }
{ *                                                                         * }
{ *                                                                         * }
{ *   The screen templates are the key to versatility of this the pre-      * }
{ *   processor.  It is by altering these templates you then alter how the  * }
{ *   screen pages will appear to the user.  For example, you may have      * }
{ *   four different application programs you have written and each         * }
{ *   program requires a unique set of inputs from the user.  All you do    * }
{ *   is alter the screen templates for each of the four programs with the  * }
{ *   proper screen template generators, while using the same input pre-    * }
{ *   processor subprograms to control the interaction between the user     * }
{ *   and the four application programs.                                    * }
{ *                                                                         * }
{ *   A screen template is simply a file containing information about the   * }
{ *   prompts (or descriptors) to be displayed when a particular screen     * }
{ *   page is shown.  The screen template is a series of records where      * }
{ *   each record describes one particular prompt for a particular screen   * }
{ *   page.                                                                 * }
{ *                                                                         * }
{ *   This template form is provided so that you can easily fill out the    * }
{ *   general input screen template for your particular application of the  * }
{ *   input pre-processor with the proper data in the proper format for     * }
{ *   the General Input Subprogram to use.                                  * }
{ *                                                                         * }
{ *   You can use your printer to get a hard copy of this template form.    * }
{ *   This will allow you to fill out the form by hand.  I recommend that   * }
{ *   you set your printer to print in compressed mode before printing      * }
{ *   out this file since the template form is 125 characters wide.  Then   * }
{ *   use the general input screen template generator to enter this data    * }
{ *   into a template file.                                                 * }
{ *                                                                         * }
{ *   Filling out the form is quite easy.  Start by listing all the input   * }
{ *   prompts you wish to show up on your general input page.  Then enter   * }
{ *   the screen column and row that you want the input prompt to be        * }
{ *   displayed at (the screen is 80 columns wide and 25 rows high, the     * }
{ *   upper left corner of the screen is column 1, row 1 ).  Then for the   * }
{ *   Up Key Pointer and Down Key Pointer enter the prompt you wish to be   * }
{ *   highlighted when the user curses up or down.  For example:            * }
{ *                                                                         * }
{ *       Record        Up Key  Down Key         Prompt                     * }
{ *       Number        Pointer Pointer                                     * }
{ *       ------        ------- --------         ------------------         * }
{ *         1              0       2             Number of Gidgets          * }
{ *         2              1       0             Number of Widgits          * }
{ *                                                                         * }
{ *   When the General Input Subprogram executes, prompt 1 would be         * }
{ *   highlighted and prompt 2 would not.  If the operator struck the down  * }
{ *   key, prompt 2 would now be highlighted and prompt 1 wouldn't.  If     * }
{ *   the user struck the down key again the General Input Subprogram       * }
{ *   would recognize that the down key pointer for prompt 2 is 0 and thus  * }
{ *   would only sound an error.  It would not allow the user to curse any  * }
{ *   further downward.  The same sort of logic can be applied for the      * }
{ *   other key pointers.                                                   * }
{ *                                                                         * }
{ *   The General Input Subprogram also checks to see that the accumulated  * }
{ *   data entry is less than the maximum allowed length.  The subprogram   * }
{ *   also checks to see if the characters the user has entered are of the  * }
{ *   type allowed.  A list of different input data types the General       * }
{ *   Input Subprogram can check for follows:                               * }
{ *                                                                         * }
{ *         Input                                                           * }
{ *         Data                                                            * }
{ *         Type                                                            * }
{ *         Value       Description of Input Data Type                      * }
{ *         -----       -------------------------------------------         * }
{ *           1         Positive Integer ( including zero )                 * }
{ *           2         Negative Integer ( including zero )                 * }
{ *           3         Integer                                             * }
{ *           4         Positive Real ( including zero )                    * }
{ *           5         Negative Real ( including zero )                    * }
{ *           6         Real                                                * }
{ *           7         Data File Name Characters                           * }
{ *           8         Disk Drive and Subdirectory Path Characters         * }
{ *           9         General Characters                                  * }
{ *                                                                         * }
{ *************************************************************************** }

|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|----------------------------
|Record |Prompt |Prompt |Input  |Input  |Input  |Input  |Return |Up     |Down   |Left   |Right  |Prompt
|Number |Column |Row    |Column |Row    |Length |Data   |Key    |Key    |Key    |Key    |Key    |
|       |       |       |       |       |       |Type   |Pointer|Pointer|Pointer|Pointer|Pointer|
|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|----------------------------
|   1   |       |       |       |       |       |       |       |       |       |       |       |
|       |       |       |       |       |       |       |       |       |       |       |       |
|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|----------------------------
|   2   |       |       |       |       |       |       |       |       |       |       |       |
|       |       |       |       |       |       |       |       |       |       |       |       |
|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|----------------------------
|   3   |       |       |       |       |       |       |       |       |       |       |       |
|       |       |       |       |       |       |       |       |       |       |       |       |
|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|----------------------------
|   4   |       |       |       |       |       |       |       |       |       |       |       |
|       |       |       |       |       |       |       |       |       |       |       |       |
|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|----------------------------
|   5   |       |       |       |       |       |       |       |       |       |       |       |
|       |       |       |       |       |       |       |       |       |       |       |       |
|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|----------------------------
|   6   |       |       |       |       |       |       |       |       |       |       |       |
|       |       |       |       |       |       |       |       |       |       |       |       |
|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|----------------------------
|   7   |       |       |       |       |       |       |       |       |       |       |       |
|       |       |       |       |       |       |       |       |       |       |       |       |
|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|----------------------------
|   8   |       |       |       |       |       |       |       |       |       |       |       |
|       |       |       |       |       |       |       |       |       |       |       |       |
|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|----------------------------
|   9   |       |       |       |       |       |       |       |       |       |       |       |
|       |       |       |       |       |       |       |       |       |       |       |       |
|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|----------------------------
|  10   |       |       |       |       |       |       |       |       |       |       |       |
|       |       |       |       |       |       |       |       |       |       |       |       |
|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|----------------------------
|  11   |       |       |       |       |       |       |       |       |       |       |       |
|       |       |       |       |       |       |       |       |       |       |       |       |
|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|----------------------------
|  12   |       |       |       |       |       |       |       |       |       |       |       |
|       |       |       |       |       |       |       |       |       |       |       |       |
|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|----------------------------
|  13   |       |       |       |       |       |       |       |       |       |       |       |
|       |       |       |       |       |       |       |       |       |       |       |       |
|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|----------------------------
|  14   |       |       |       |       |       |       |       |       |       |       |       |
|       |       |       |       |       |       |       |       |       |       |       |       |
|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|----------------------------
|  15   |       |       |       |       |       |       |       |       |       |       |       |
|       |       |       |       |       |       |       |       |       |       |       |       |
|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|----------------------------
|  16   |       |       |       |       |       |       |       |       |       |       |       |
|       |       |       |       |       |       |       |       |       |       |       |       |
|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|----------------------------
|  17   |       |       |       |       |       |       |       |       |       |       |       |
|       |       |       |       |       |       |       |       |       |       |       |       |
|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|----------------------------
|  18   |       |       |       |       |       |       |       |       |       |       |       |
|       |       |       |       |       |       |       |       |       |       |       |       |
|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|----------------------------
|  19   |       |       |       |       |       |       |       |       |       |       |       |
|       |       |       |       |       |       |       |       |       |       |       |       |
|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|----------------------------
|  20   |       |       |       |       |       |       |       |       |       |       |       |
|       |       |       |       |       |       |       |       |       |       |       |       |
|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|----------------------------
|  21   |       |       |       |       |       |       |       |       |       |       |       |
|       |       |       |       |       |       |       |       |       |       |       |       |
|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|----------------------------
|  22   |       |       |       |       |       |       |       |       |       |       |       |
|       |       |       |       |       |       |       |       |       |       |       |       |
|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|----------------------------
|  23   |       |       |       |       |       |       |       |       |       |       |       |
|       |       |       |       |       |       |       |       |       |       |       |       |
|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|----------------------------
|  24   |       |       |       |       |       |       |       |       |       |       |       |
|       |       |       |       |       |       |       |       |       |       |       |       |
|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|----------------------------
|  25   |       |       |       |       |       |       |       |       |       |       |       |
|       |       |       |       |       |       |       |       |       |       |       |       |
|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|----------------------------
|  26   |       |       |       |       |       |       |       |       |       |       |       |
|       |       |       |       |       |       |       |       |       |       |       |       |
|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|----------------------------
|  27   |       |       |       |       |       |       |       |       |       |       |       |
|       |       |       |       |       |       |       |       |       |       |       |       |
|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|----------------------------
|  28   |       |       |       |       |       |       |       |       |       |       |       |
|       |       |       |       |       |       |       |       |       |       |       |       |
|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|----------------------------
|  29   |       |       |       |       |       |       |       |       |       |       |       |
|       |       |       |       |       |       |       |       |       |       |       |       |
|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|----------------------------
|  30   |       |       |       |       |       |       |       |       |       |       |       |
|       |       |       |       |       |       |       |       |       |       |       |       |
|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|----------------------------
|  31   |       |       |       |       |       |       |       |       |       |       |       |
|       |       |       |       |       |       |       |       |       |       |       |       |
|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|----------------------------
|  32   |       |       |       |       |       |       |       |       |       |       |       |
|       |       |       |       |       |       |       |       |       |       |       |       |
|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|----------------------------
|  33   |       |       |       |       |       |       |       |       |       |       |       |
|       |       |       |       |       |       |       |       |       |       |       |       |
|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|----------------------------
|  34   |       |       |       |       |       |       |       |       |       |       |       |
|       |       |       |       |       |       |       |       |       |       |       |       |
|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|----------------------------
|  35   |       |       |       |       |       |       |       |       |       |       |       |
|       |       |       |       |       |       |       |       |       |       |       |       |
|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|----------------------------
|  36   |       |       |       |       |       |       |       |       |       |       |       |
|       |       |       |       |       |       |       |       |       |       |       |       |
|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|----------------------------
|  37   |       |       |       |       |       |       |       |       |       |       |       |
|       |       |       |       |       |       |       |       |       |       |       |       |
|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|----------------------------
|  38   |       |       |       |       |       |       |       |       |       |       |       |
|       |       |       |       |       |       |       |       |       |       |       |       |
|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|----------------------------
|  39   |       |       |       |       |       |       |       |       |       |       |       |
|       |       |       |       |       |       |       |       |       |       |       |       |
|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|----------------------------
|  40   |       |       |       |       |       |       |       |       |       |       |       |
|       |       |       |       |       |       |       |       |       |       |       |       |
|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|----------------------------
|  41   |       |       |       |       |       |       |       |       |       |       |       |
|       |       |       |       |       |       |       |       |       |       |       |       |
|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|----------------------------
|  42   |       |       |       |       |       |       |       |       |       |       |       |
|       |       |       |       |       |       |       |       |       |       |       |       |
|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|----------------------------
|  43   |       |       |       |       |       |       |       |       |       |       |       |
|       |       |       |       |       |       |       |       |       |       |       |       |
|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|----------------------------
|  44   |       |       |       |       |       |       |       |       |       |       |       |
|       |       |       |       |       |       |       |       |       |       |       |       |
|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|----------------------------
|  45   |       |       |       |       |       |       |       |       |       |       |       |
|       |       |       |       |       |       |       |       |       |       |       |       |
|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|----------------------------
