{ MENU_TPL.FRM }

{ *************************************************************************** }
{ *                                                                         * }
{ *                TURBO SCREEN INPUT PRE-PROCESSOR TOOLKIT                 * }
{ *                                                                         * }
{ *                        MENU SCREEN TEMPLATE FORM                        * }
{ *                                                                         * }
{ *                             Version  1.07                               * }
{ *                                                                         * }
{ *                                                                         * }
{ *   The screen templates are the key to versatility of this the pre-      * }
{ *   processor.  It is by altering these templates you then alter how the  * }
{ *   screen pages will appear to the user.  For example, you may have      * }
{ *   four different application programs you have written and each         * }
{ *   program requires a unique set of inputs from the user.  All you do    * }
{ *   is alter the screen templates for each of the four programs with the  * }
{ *   proper screen template generators, while using the same input pre-    * }
{ *   processor subprograms to control the interaction between the user     * }
{ *   and the four application programs.                                    * }
{ *                                                                         * }
{ *   A screen template is simply a file containing information about the   * }
{ *   prompts (or descriptors) to be displayed when a particular screen     * }
{ *   page is shown.  The screen template is a series of records where      * }
{ *   each record describes one particular prompt for a particular screen   * }
{ *   page.                                                                 * }
{ *                                                                         * }
{ *   The form below is provided to aid you in filling out a menu template  * }
{ *   for your program so that the proper data is in the proper format for  * }
{ *   the menu subprogram.  Please use your printer to get a hard copy      * }
{ *   of this template form so that you can fill out the form by hand.  I   * }
{ *   recommend that you set-up your printer to print in compressed mode    * }
{ *   before printing out this file since the template form is 125          * }
{ *   characters wide.  Then use the menu template generator to enter this  * }
{ *   menu data into a menu template file.                                  * }
{ *                                                                         * }
{ *   Filling out the template form is quite easy.  Start by listing all    * }
{ *   the menu prompts you wish to display on your menu.  Then enter the    * }
{ *   screen column and row that you want each menu prompt to be displayed  * }
{ *   at (the screen is 80 columns wide and 25 rows high, the upper left    * }
{ *   corner of the screen is column 1, row 1 ).  For example, for the Up   * }
{ *   Key Pointer and Down Key Pointer enter the prompt record number for   * }
{ *   the prompt you wish to be highlighted when the user curses up or      * }
{ *   down.  For example:                                                   * }
{ *                                                                         * }
{ *         Record        Up Key  Down Key        Prompt                    * }
{ *         Number        Pointer Pointer                                   * }
{ *         ------        ------- --------        ---------------------     * }
{ *           1              0       2            Enter Program Data        * }
{ *           2              1       0            Print Program Results     * }
{ *                                                                         * }
{ *   When the menu subprogram executes, prompt 1 would be highlighted and  * }
{ *   prompt 2 would not.  If the operator struck the down key, prompt 2    * }
{ *   would now be highlighted and prompt 1 wouldn't.  If the user struck   * }
{ *   the down key again the menu subprogram would recognize that the down  * }
{ *   key pointer for prompt 2 is 0 and thus would only sound an error.     * }
{ *   The subprogram would not allow the user to curse any further          * }
{ *   downward.  The same sort of logic can be applied for the other key    * }
{ *   pointers.                                                             * }
{ *                                                                         * }
{ *   More documentation on how the menu subprogram uses a menu template    * }
{ *   for its operation can be found in the toolkit documentation file      * }
{ *   'Tsipp.Doc'.                                                          * }
{ *                                                                         * }
{ *************************************************************************** }



|-------|-------|-------|-------|-------|-------|-------|-----------------------------------|
|Record |Prompt |Prompt |Up     |Down   |Left   |Right  |Prompt                             |
|Number |Column |Row    |Key    |Key    |Key    |Key    |                                   |
|       |       |       |Pointer|Pointer|Pointer|Pointer|                                   |
|-------|-------|-------|-------|-------|-------|-------|-----------------------------------|
|   1   |       |       |       |       |       |       |                                   |
|       |       |       |       |       |       |       |                                   |
|-------|-------|-------|-------|-------|-------|-------|-----------------------------------|
|   2   |       |       |       |       |       |       |                                   |
|       |       |       |       |       |       |       |                                   |
|-------|-------|-------|-------|-------|-------|-------|-----------------------------------|
|   3   |       |       |       |       |       |       |                                   |
|       |       |       |       |       |       |       |                                   |
|-------|-------|-------|-------|-------|-------|-------|-----------------------------------|
|   4   |       |       |       |       |       |       |                                   |
|       |       |       |       |       |       |       |                                   |
|-------|-------|-------|-------|-------|-------|-------|-----------------------------------|
|   5   |       |       |       |       |       |       |                                   |
|       |       |       |       |       |       |       |                                   |
|-------|-------|-------|-------|-------|-------|-------|-----------------------------------|
|   6   |       |       |       |       |       |       |                                   |
|       |       |       |       |       |       |       |                                   |
|-------|-------|-------|-------|-------|-------|-------|-----------------------------------|
|   7   |       |       |       |       |       |       |                                   |
|       |       |       |       |       |       |       |                                   |
|-------|-------|-------|-------|-------|-------|-------|-----------------------------------|
|   8   |       |       |       |       |       |       |                                   |
|       |       |       |       |       |       |       |                                   |
|-------|-------|-------|-------|-------|-------|-------|-----------------------------------|
|   9   |       |       |       |       |       |       |                                   |
|       |       |       |       |       |       |       |                                   |
|-------|-------|-------|-------|-------|-------|-------|-----------------------------------|
|  10   |       |       |       |       |       |       |                                   |
|       |       |       |       |       |       |       |                                   |
|-------|-------|-------|-------|-------|-------|-------|-----------------------------------|
|  11   |       |       |       |       |       |       |                                   |
|       |       |       |       |       |       |       |                                   |
|-------|-------|-------|-------|-------|-------|-------|-----------------------------------|
|  12   |       |       |       |       |       |       |                                   |
|       |       |       |       |       |       |       |                                   |
|-------|-------|-------|-------|-------|-------|-------|-----------------------------------|
|  13   |       |       |       |       |       |       |                                   |
|       |       |       |       |       |       |       |                                   |
|-------|-------|-------|-------|-------|-------|-------|-----------------------------------|
|  14   |       |       |       |       |       |       |                                   |
|       |       |       |       |       |       |       |                                   |
|-------|-------|-------|-------|-------|-------|-------|-----------------------------------|
|  15   |       |       |       |       |       |       |                                   |
|       |       |       |       |       |       |       |                                   |
|-------|-------|-------|-------|-------|-------|-------|-----------------------------------|
|  16   |       |       |       |       |       |       |                                   |
|       |       |       |       |       |       |       |                                   |
|-------|-------|-------|-------|-------|-------|-------|-----------------------------------|
|  17   |       |       |       |       |       |       |                                   |
|       |       |       |       |       |       |       |                                   |
|-------|-------|-------|-------|-------|-------|-------|-----------------------------------|
|  18   |       |       |       |       |       |       |                                   |
|       |       |       |       |       |       |       |                                   |
|-------|-------|-------|-------|-------|-------|-------|-----------------------------------|
|  19   |       |       |       |       |       |       |                                   |
|       |       |       |       |       |       |       |                                   |
|-------|-------|-------|-------|-------|-------|-------|-----------------------------------|
|  20   |       |       |       |       |       |       |                                   |
|       |       |       |       |       |       |       |                                   |
|-------|-------|-------|-------|-------|-------|-------|-----------------------------------|
|  21   |       |       |       |       |       |       |                                   |
|       |       |       |       |       |       |       |                                   |
|-------|-------|-------|-------|-------|-------|-------|-----------------------------------|
|  22   |       |       |       |       |       |       |                                   |
|       |       |       |       |       |       |       |                                   |
|-------|-------|-------|-------|-------|-------|-------|-----------------------------------|
|  23   |       |       |       |       |       |       |                                   |
|       |       |       |       |       |       |       |                                   |
|-------|-------|-------|-------|-------|-------|-------|-----------------------------------|
|  24   |       |       |       |       |       |       |                                   |
|       |       |       |       |       |       |       |                                   |
|-------|-------|-------|-------|-------|-------|-------|-----------------------------------|
|  25   |       |       |       |       |       |       |                                   |
|       |       |       |       |       |       |       |                                   |
|-------|-------|-------|-------|-------|-------|-------|-----------------------------------|
|  26   |       |       |       |       |       |       |                                   |
|       |       |       |       |       |       |       |                                   |
|-------|-------|-------|-------|-------|-------|-------|-----------------------------------|
|  27   |       |       |       |       |       |       |                                   |
|       |       |       |       |       |       |       |                                   |
|-------|-------|-------|-------|-------|-------|-------|-----------------------------------|
|  28   |       |       |       |       |       |       |                                   |
|       |       |       |       |       |       |       |                                   |
|-------|-------|-------|-------|-------|-------|-------|-----------------------------------|
|  29   |       |       |       |       |       |       |                                   |
|       |       |       |       |       |       |       |                                   |
|-------|-------|-------|-------|-------|-------|-------|-----------------------------------|
|  30   |       |       |       |       |       |       |                                   |
|       |       |       |       |       |       |       |                                   |
|-------|-------|-------|-------|-------|-------|-------|-----------------------------------|
|  31   |       |       |       |       |       |       |                                   |
|       |       |       |       |       |       |       |                                   |
|-------|-------|-------|-------|-------|-------|-------|-----------------------------------|
|  32   |       |       |       |       |       |       |                                   |
|       |       |       |       |       |       |       |                                   |
|-------|-------|-------|-------|-------|-------|-------|-----------------------------------|
|  33   |       |       |       |       |       |       |                                   |
|       |       |       |       |       |       |       |                                   |
|-------|-------|-------|-------|-------|-------|-------|-----------------------------------|
|  34   |       |       |       |       |       |       |                                   |
|       |       |       |       |       |       |       |                                   |
|-------|-------|-------|-------|-------|-------|-------|-----------------------------------|
|  35   |       |       |       |       |       |       |                                   |
|       |       |       |       |       |       |       |                                   |
|-------|-------|-------|-------|-------|-------|-------|-----------------------------------|
|  36   |       |       |       |       |       |       |                                   |
|       |       |       |       |       |       |       |                                   |
|-------|-------|-------|-------|-------|-------|-------|-----------------------------------|
|  37   |       |       |       |       |       |       |                                   |
|       |       |       |       |       |       |       |                                   |
|-------|-------|-------|-------|-------|-------|-------|-----------------------------------|
|  38   |       |       |       |       |       |       |                                   |
|       |       |       |       |       |       |       |                                   |
|-------|-------|-------|-------|-------|-------|-------|-----------------------------------|
|  39   |       |       |       |       |       |       |                                   |
|       |       |       |       |       |       |       |                                   |
|-------|-------|-------|-------|-------|-------|-------|-----------------------------------|
|  40   |       |       |       |       |       |       |                                   |
|       |       |       |       |       |       |       |                                   |
|-------|-------|-------|-------|-------|-------|-------|-----------------------------------|
|  41   |       |       |       |       |       |       |                                   |
|       |       |       |       |       |       |       |                                   |
|-------|-------|-------|-------|-------|-------|-------|-----------------------------------|
|  42   |       |       |       |       |       |       |                                   |
|       |       |       |       |       |       |       |                                   |
|-------|-------|-------|-------|-------|-------|-------|-----------------------------------|
|  43   |       |       |       |       |       |       |                                   |
|       |       |       |       |       |       |       |                                   |
|-------|-------|-------|-------|-------|-------|-------|-----------------------------------|
|  44   |       |       |       |       |       |       |                                   |
|       |       |       |       |       |       |       |                                   |
|-------|-------|-------|-------|-------|-------|-------|-----------------------------------|
|  45   |       |       |       |       |       |       |                                   |
|       |       |       |       |       |       |       |                                   |
|-------|-------|-------|-------|-------|-------|-------|-----------------------------------|